# shell_command_flutter
[![pub package](https://img.shields.io/badge/pub-v1.0.0-blue)](https://pub.dartlang.org/packages/url_launcher)

shell_command execute the Native commands with respect to platform like Windows,MacOS,Linux
The result is in`ResultSet` with `code` and `response` from terminal.

Currently Windows is supported. I am working on other OS, soon will update package

## Usage
To use this plugin, add `shell_command_flutter` as a [dependency in your pubspec.yaml file](https://flutter.dev/platform-plugins/).

###Example 
```$xslt
  void execute() {
    runCommand("flutter doctor",outputType: outputType).then((result) {
      print("STATUS CODE ${result.code}");
      print("RESPONSE ${result.output}");
    }).catchError((error) {});
  }
```
### ShellCommand
 `ShellCommand.CMD_STATUS_CODE`  <strong>default</strong>, return status code of the command executed like -1, 0, 1 ..
 
 `ShellCommand.CMD_RESPONSE`  return status code as well as command output also

### Upcoming
1. Support for MacOS and Linux
2. Reduce delay in long output commands


 
